# Code of Conduct

## E-voting community programme

By accessing the programme material, you agree to comply with the Code of Conduct (hereinafter CoC). If you do not accept the CoC, please do not use the programme material.

## Introduction

The developers, cryptographic experts and other specialists from Swiss Post are continuously improving the future e-voting system with universal verifiability. Swiss Post wants to be as transparent as possible about the functioning and security of the system and fosters collaboration with the community and the continuous improvement of the system.

For this purpose, Swiss Post has implemented the **e-voting community programme**. It governs public access and usage of the source code and other materials of Swiss Post's e-voting system. In addition, it includes a public bug bounty programme. Swiss Post provides a single point of contact (SPOC) for all matters related to the e-voting community programme.

Swiss Post retains all rights to the source code and other materials, including copyright, patent rights and/or usage rights.

The CoC will be updated to reflect changes in the e-voting regulations and will be continuously improved as the community's experience grows, as well as to cover new e-voting community programme features. More information about coming changes and the timeline can be found in our [FAQ](https://evoting-community.post.ch/en/help-and-contact/faq).

## What you can expect from us

- The integrity of the democratic process is at the heart of our mission.
- We prioritize security and voting secrecy.
- We will work with you to understand and validate your report.
- We recognize your contribution to improving our security.
- In our e-voting community bug bounty programme, we pay rewards for qualified vulnerabilities.
- We respect the academic freedom of researchers.

## What we expect

- You respect the privacy of others, and do not destroy data or disrupt systems.
- Participants observe the Coordinated Vulnerability Disclosure policy.
- You report your findings using the provided [channels](https://evoting-community.post.ch/en/contributions).

## Organization

The e-voting community programme started on 19.01.2021. It is a continuous programme and will remain accessible for as long as the Swiss Post e-voting system is operable.

No registration is necessary for participating in the e-voting community programme. Your participation in the e-voting community programme is anonymous. It is your choice to provide us with contact information.

The public e-voting community bug bounty programme started on 02.09.2021. Please note that participation in the bug bounty requires registration and proper identification on the Yes We Hack platform.

We defined a single point of contact for all concerns of the participants. The [SPOC](https://evoting-community.post.ch/en/help-and-contact/support#contact) is responsible for any issues related to our voting solution you would like to discuss.

## Scope

In the scope of the e-voting community programme are the source code, specifications, documentation and other materials that are available in the repositories under <https://gitlab.com/swisspost-evoting>.

From 2022 onwards, Swiss Post conducts periodical public intrusion tests dedicated to the e-voting system of Swiss Post with a duration of 4 weeks each as part of the e-voting community programme bug bounty.

Everything that is not defined as in-scope, is out-of-scope. In case of doubt, please check with the [SPOC](https://evoting-community.post.ch/en/help-and-contact/support#contact) beforehand.

## Reporting

Reports on any findings should be filed using the provided [channels](https://evoting-community.post.ch/en/contributions): via a GitLab Issue, an online form or a bug bounty report.

A report should include:

- a basic description of the issue in question
- a list of affected components (e.g. CCM) and their precise location in the e-voting community programme repository
- a step-by-step reproduction guide of the findings
- if possible: accompanying evidence, e.g. screenshots, videos, proof of concept code, dumps, etc
- contact information (recommended)

If using GitLab and you consider the severity of the finding to be high or critical, then we ask you to check the “confidential”-checkbox in the template. Issues reported via GitLab are public by default.

## Coordinated Vulnerability Disclosure policy

Findings are published on [GitLab](https://gitlab.com/swisspost-evoting) for purposes of transparency.

The reporter of the findings will be credited if the reporter agrees to its publication. The reporter may remain anonymous or use an alias.

You are free to publish your findings, but please give us a maximum of 90 days to analyse your report. As soon as we have analysed your report, we will give you a thumb up for publication. This allows us and the cantons to address the finding and to minimise risks.

## Permitted use

Under the e-voting community programme, you are entitled to examine, modify, compile and execute the source code for non-commercial or non-productive purposes, to publish papers on your findings and to use the information gained for the purpose of research, advancing knowledge, teaching, learning, or customizing the technology or modifications for personal use.

You are allowed to make a copy. The license terms, copyright notices and attributions included in the source code or the other materials must be maintained at all times.

If you publish modifications, please respect the coordinated vulnerability disclosure policy. Modifications must be highlighted.

The e-voting community programme does not allow you to use any information gained for commercial purposes and productive use, in particular, to use any part of code in any other software and services. In case of doubt, please check with the [SPOC](https://evoting-community.post.ch/en/help-and-contact/support#contact) beforehand.

## Legal safe harbour: consequences of complying with the Code of Conduct

Swiss Post interprets activities by participants in public intrusion tests that comply with the CoC as authorized access under the Swiss Penal Code and other anti-hacking and anti-circumvention laws. This includes Swiss Penal Code Articles 143, 143bis and 144bis. Swiss Post will only file a complaint about a violation of the CoC if the code or the other materials or parts thereof are used commercially or productively. If legal action is initiated by a third party against a participant and the participant has complied with the CoC as outlined in this document, Swiss Post will take the necessary measures to make it known to the authorities that such participant's actions have been conducted in compliance with this policy.

Any non-compliance with the CoC may result in exclusion from the e-voting community programme.

## Applicable law and jurisdiction

The Code of Conduct is governed by and construed in accordance with the laws of Switzerland.

Any dispute arising out of or relating to the Code of Conduct shall be submitted and finally resolved by the courts of Berne, Switzerland.

We are looking forward to your reports.

The Swiss Post e-voting team
